# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
/*
 *  lexer.l,v 1.19 1993/04/10 12:25:12 jch Exp
 */

/* Gated Release 3.0 */
/* Copyright (c) 1990,1991,1992,1993 by Cornell University. All rights reserved. */
/* Refer to Particulars and other Copyright notices at the end of this file. */

#define	GATED_LEXER
#define	INCLUDE_STAT
#define	INCLUDE_TIME

#include "include.h"
#include "ctype.h"
#include "parse.h"
#include "parser.h"

#ifdef	vax11c
extern YYSTYPE yylval;
#endif	/* vax11c */
    
#define	printf(fmt, arg)	TRACE_PROTO(TR_PARSE) { trace(TR_PARSE, 0, fmt, arg); }
#undef	yywrap
#define	yywrap	parse_eof

#define	parse_newname(fip)	{ \
    register char *new_name; \
    parse_filename = (new_name = (char *) rindex((fip)->fi_name, '/')) ? ++new_name : (fip)->fi_name; \
    }

#define	YBEGIN(state)	TRACE_PROTO(TR_PARSE) { trace(TR_PARSE, 0, "yylex: %s State %d", parse_where(), state); } BEGIN state

static fi_info parse_fi[FI_MAX+1];		/* Table of input files */
static int fi_file = 0;				/* Index into file table */
char *parse_directory = (char *) 0;

PROTOTYPE(parse_include,
	  static int,
	  (char *));
PROTOTYPE(parse_eof,
	  static int,
	  (void));

#ifdef	FLEX_SCANNER

int yylineno = 0;

#undef	YY_INPUT
#define	YY_INPUT(buf, result, max_size)	result = fgets(buf, max_size, yyin) ? strlen(buf) : YY_NULL;

#define	YY_NEWLINE	yylineno++

#ifdef	YY_FATAL_ERROR
#undef	YY_FATAL_ERROR
#define	YY_FATAL_ERROR(msg)	{ trace(TR_ALL, LOG_ERR, msg); task_quit(EINVAL); }
#endif	/* YY_FATAL_ERROR */

#else	/* FLEX_SCANNER */

#define	YY_NEWLINE

#endif	/* FLEX_SCANNER */

# define CONFIG 2
# define PP 4
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
{
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s COMMENT",
				  parse_where());
			}
		}
break;
case 2:
{
			char ttchar;
			static const char *search = "*/";
			const char *sp = search;
			char buf[BUFSIZ];

			strcpy(buf, parse_where());

			while (ttchar = input()) {
			    TRACE_PROTO(TR_PARSE) {
				trace(TR_PARSE, 0, "lex: %s comment: %c(%x)",
				      parse_where(),
				      ttchar,
				      ttchar);
			    }
			    if (ttchar == (char) EOF) {
				(void) sprintf(parse_error, "lex: unterminated C constant at %s",
					       buf);
				return L_ERROR;
			    } else if (ttchar == *sp) {
				if (!*++sp) {
				    break;
				}
			    } else {
				if (ttchar == '\n') {
				    YY_NEWLINE;
				}
				sp = search;
			    }
			}
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s COMMENT",
				  parse_where());
			}
		}
break;
case 3:
	{ ; }
break;
case 4:
{
			yylval.str.ptr = (char *) yytext;
			yylval.str.len = yyleng;
			yylval.str.type = L_STRING;
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s L_STRING: %s length %d",
				  parse_where(),
				  yylval.str.ptr,
				  yylval.str.len);
			}
			return yylval.str.type;
		}
break;
case 5:
{
			yylval.str.ptr = (char *) yytext;
			yylval.str.len = yyleng;
			yylval.str.type = L_STRING;
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s L_STRING: %s length %d",
				  parse_where(),
				  yylval.str.ptr,
				  yylval.str.len);
			}
			return yylval.str.type;
		}
break;
case 6:
{
			bits *key;

			yylval.str.ptr = (char *) yytext;
			yylval.str.len = yyleng;
			key = parse_keyword((char *) yytext);
			if (key) {
			    yylval.str.type = key->t_bits;
			    TRACE_PROTO(TR_PARSE) {
				trace(TR_PARSE, 0, "lex: %s KEYWORD: %s",
				      parse_where(),
				      (char *) yytext);
			    }
			} else {
			    yylval.str.type = L_KEYWORD;
			    TRACE_PROTO(TR_PARSE) {
				trace(TR_PARSE, 0, "lex: %s L_KEYWORD: %s length: %d",
				      parse_where(),
				      yylval.str.ptr,
				      yylval.str.len);
			    }
			}
			return yylval.str.type;
		}
break;
case 7:
{
			YY_NEWLINE;
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s L_EOS",
				  parse_where());
			}
			YBEGIN(CONFIG);
			return L_EOS;
		}
break;
case 8:
{
			YY_NEWLINE;
		}
break;
case 9:
{
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s L_EOS",
				  parse_where());
			}
			return L_EOS;
		}
break;
case 10:
{
    			register char *cp = (char *) yytext;
			char *name;

			while (*cp++ != '"') ;
			name = cp;
			while (*cp != '"') {
			    cp++;
			}
			*cp = (char) 0;
			cp = name;

#ifdef	FLAT_FS
			name = task_mem_strdup((task *) 0, cp);
#else	/* FLAT_FS */
			switch (*cp) {
			case '/':
			    name = task_mem_strdup((task *) 0,
						   cp);
			    break;

			default:
			    name = task_mem_malloc((task *) 0,
						   (size_t) (strlen(cp) + strlen(parse_directory) + 2));

			    (void) strcpy(name, parse_directory);
			    (void) strcat(name, "/");
			    (void) strcat(name, cp);
			}
#endif	/* FLAT_FS */
			
    			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s INCLUDE '%s'",
				  parse_where(),
				  name);
			}

			/* Count the newline in this file */
    			YY_NEWLINE;

			if (parse_include(name)) {
			    return L_ERROR;
			}
			/* String is freed by parse_eof() */
}
break;
case 11:
{
    			register char *cp = (char *) yytext;
			char *name;
#ifndef	NO_STAT
			struct stat stbuf;
#endif	/* NO_STAT */

			while (*cp++ != '"') ;
			name = cp;
			while (*cp != '"') {
			    cp++;
			}
			*cp-- = (char) 0;
			if (*cp == '/') {
			    *cp-- = (char) 0;
			}

#ifndef	NO_STAT
			if (stat(name, &stbuf) < 0) {
			    (void) sprintf(parse_error, "stat(%s): %m",
					   name);
			    return L_ERROR;
			}

			switch (stbuf.st_mode & S_IFMT) {
			case S_IFDIR:
			    break;

			default:
			    (void) sprintf(parse_error, "%s is not a directory",
					   name);
			    return L_ERROR;
			}
#endif	/* NO_STAT */

			if (parse_directory) {
			    task_mem_free((task *) 0,
					  parse_directory);
			}
			parse_directory = task_mem_strdup((task *) 0,
							  name);
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s included file prefeix now %s",
				  parse_where(),
				  parse_directory);
			}
}
break;
case 12:
{
			YBEGIN(PP);
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s '%s'",
				  parse_where(),
				  (char *) yytext);
			}
			return (char) *yytext;
		}
break;
case 13:
{
			yylval.str.ptr = (char *) yytext;
			yylval.str.len = yyleng;
			yylval.str.type = L_HNAME;
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s HNAME: %s length %d",
				  parse_where(),
				  yylval.str.ptr,
				  yylval.str.len);
			}
			return yylval.str.type;
		}
break;
case 14:
{
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s '%s'",
				  parse_where(),
				  (char *) yytext);
			}
			return (char) *yytext;
		}
break;
case 15:
{
			yylval.num = atoi((char *) yytext);
			TRACE_PROTO(TR_PARSE) {
			    trace(TR_PARSE, 0, "lex: %s L_NUMBER: %d",
				  parse_where(),
				  yylval.num);
			}
			return L_NUMBER;
		}
break;
case 16:
{
#define	atox(c)	(isdigit(c) ? (c - '0') : ( isupper(c) ? (c - 'A' + 10) : (c - 'a' + 10) ))
#ifdef	PROTO_ISO
			register int i = 0;
			register u_char acc = 0;
			register char *cp;
			register byte *dp;

			for (cp = (char *) yytext; *cp; cp++) {
			    if (*cp != '.') {
				i++;
			    }
			}
			yylval.hex.len = (i + 1)/2;
			yylval.hex.ptr = (byte *) task_mem_malloc((task *) 0, yylval.hex.len);
			yylval.hex.type = L_ISOADDR;
			dp = yylval.hex.ptr;
			cp = (char *) yytext;

			/* Pick up string ignoring trailing dots */
			i = 0;
			do {
			    switch (*cp) {
			    case '.':
				/* Ignore dots */
				break;

			    case 0:
				if (i) {
				    /* Stuff the trailing nibble */

				    *dp = acc;
				}
				/* This will cause the loop to break */
				cp = (char *) 0;
				break;

			    default:
				if (i = !i) {
				    /* First nibble */

				    acc = atox(*cp) << 4;
				} else {
				    /* Second nibble */

				    *dp++ = acc | atox(*cp);
				}
				break;
			    }			    
			} while (cp++);

			TRACE_PROTO(TR_PARSE) {
			    tracef("lex: %s L_ISOADDR: length %d ",
				   parse_where(),
				   yylval.hex.len);
			    for (i = 0; i < yylval.hex.len; i++) {
				tracef("%02x",
				       yylval.hex.ptr[i]);
			    }
			    trace(TR_PARSE, 0, NULL);
			}
			return yylval.hex.type;
#else	/* PROTO_ISO */
			return (char) *yytext;
#endif	/* PROTO_ISO */
		    }
break;
case 17:
 {
    			int i;
    			char *cp;

			/* First count the number of octets */
			yylval.hex.len = 1;
			for (cp = (char *) yytext; cp = (char *) index(cp, '.'); *cp++ = (char) 0) {
			    yylval.hex.len++;
			}

			yylval.hex.ptr = (byte *) task_mem_malloc((task *) 0, yylval.hex.len);
			yylval.hex.type = L_OCTETSTRING;

			cp = (char *) yytext;
			for (i = 0; i < yylval.hex.len; i++) {
			    yylval.hex.ptr[i] = atoi(cp);
			    cp += strlen(cp) + 1;
			}

			TRACE_PROTO(TR_PARSE) {
			    tracef("lex: %s L_OCTETSTRING: length %d ",
				   parse_where(),
				   yylval.hex.len);
			    for (i = 0; i < yylval.hex.len; i++) {
				tracef("%s%u",
				       i ? "." : "",
				       yylval.hex.ptr[i]);
			    }
			    trace(TR_PARSE, 0, NULL);
			}

			return L_OCTETSTRING;
		    }
break;
case 18:
{
			int i = 0;
			char *cp;
			byte *dp;

			for (cp = (char *) yytext; *cp; cp++) {
			    if (*cp != '-') {
				i++;
			    }
			}
			yylval.hex.len = (i + 1)/2;
			yylval.hex.ptr = (byte *) task_mem_malloc((task *) 0, yylval.hex.len);
			dp = yylval.hex.ptr;
			cp = (char *) yytext;
#ifdef	notdef
			if (i % 2) {
			    *(dp++) = atox(*cp);
			    cp++;
			    yylval.hex.type = L_HEXSTRING_ODD;
			} else
#endif	/* notdef */
			    yylval.hex.type = L_HEXSTRING;
			for (; *cp; cp++, dp++) {
			    if (*cp == '-') {
				cp++;
			    }
			    *dp = atox(*cp) << 4;
			    cp++;
			    if (*cp == '-') {
				cp++;
			    }
			    *dp |= atox(*cp);
			}
			TRACE_PROTO(TR_PARSE) {
			    tracef("lex: %s L_HEXSTRING: length %d ",
				   parse_where(),
				   yylval.hex.len);
			    for (i = 0; i < yylval.hex.len; i++) {
				tracef("%02x",
				       yylval.hex.ptr[i]);
			    }
			    trace(TR_PARSE, 0, NULL);
			}
			return yylval.hex.type;
		    }
break;
case 19:
{
			int i = yyleng - 2;
    			char *cp = (char *) yytext + 2;
			byte *dp;

			yylval.hex.len = (i + 1)/2;
			yylval.hex.ptr = (byte *) task_mem_malloc((task *) 0, yylval.hex.len);
			dp = yylval.hex.ptr;
#ifdef	notdef
			if (i % 2) {
			    *(dp++) = atox(*cp);
			    cp++;
			    yylval.hex.type = L_HEXSTRING_ODD;
			} else
#endif	/* notdef */
			    yylval.hex.type = L_HEXSTRING;
			for (; *cp; cp += 2, dp++) {
			    *dp = (atox(cp[0]) << 4) | atox(cp[1]);
			}
			TRACE_PROTO(TR_PARSE) {
			    tracef("lex: %s L_HEXSTRING: length %d 0x",
				   parse_where(),
				   yylval.hex.len);
			    for (i = 0; i < yylval.hex.len; i++) {
				tracef("%02x",
				       yylval.hex.ptr[i]);
			    }
			    trace(TR_PARSE, 0, NULL);
			}
			return yylval.hex.type;
		    }
break;
case 20:
	{
    			(void) sprintf(parse_error, "unrecognized character: `%s'",
				       (char *) yytext);
			return L_ERROR;
		}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

#if	!defined(FLEX_SCANNER) || !defined(YY_USER_ACTION)

/* For parsers that do not define yyrestart() */
/* Define it as a function so we get an error if it is already defined */
void
yyrestart(fp)
FILE *fp;
{
    yyin = fp;
}
#else	/* !defined(FLEX_SCANNER) || !defined(YY_USER_ACTION) */

/* Assign yyin the first time and call yyrestart() other times */
#define	YYRESTART_MAGIC

#endif	/* !defined(FLEX_SCANNER) || !defined(YY_USER_ACTION) */


/*
 *	Open the first file (called from parse_parse).  If no file specified,
 *	assume stdin (for testing ).
 */
int
parse_open(name)
char *name;
{
#ifdef	YYRESTART_MAGIC
    static int first;
#endif	/* YYRESTART_MAGIC */
    fi_info *fip;

    fip = &parse_fi[fi_file = 0];

    if (name) {
	fip->fi_FILE = fopen(name, "r");
	if (!fip->fi_FILE) {
	    trace(TR_ALL, LOG_ERR, "parse_open: error opening %s: %m",
		  name);
	    return TRUE;
	}
    } else {
#if	YYDEBUG != 0
	name = "stdin";
#else	/* YYDEBUG */
	trace(TR_ALL, LOG_ERR, "parse_open: no file specified");
	return TRUE;
#endif	/* YYDEBUG */
    }

    yylineno = 1;
#ifdef	YYRESTART_MAGIC
    if (first++) {
	yyrestart(fip->fi_FILE);
    } else {
	yyin = fip->fi_FILE;
    }
#else	/* YYRESTART_MAGIC */
    yyrestart(fip->fi_FILE);
#endif	/* YYRESTART_MAGIC */

    fip->fi_name = name;
    parse_newname(fip);
    TRACE_PROTO(TR_PARSE) {
	trace(TR_PARSE, 0, "parse_open: reading %s (%d)",
	      fip->fi_name,
	      fileno(fip->fi_FILE));
    }
	
    YBEGIN(CONFIG);
    return FALSE;
}


/*
 *	Process an include directive, read another input file
 */
static int
parse_include __PF1(name, char *)
{
    fi_info *fip;
    FILE *file;

    /* Verify file name is unique (this is easy to fool) */
    for (fip = parse_fi; fip <= &parse_fi[fi_file]; fip++) {
	if (fip->fi_name && !strcmp(name, fip->fi_name)) {
	    (void) sprintf(parse_error, "recursive includes: %s",
			   name);
	    return TRUE;
	}
    }

    /* Try to open new file */
    if (fi_file > FI_MAX) {
	(void) sprintf(parse_error, "too many levels of includes");
	return TRUE;
    }

    file = fopen(name, "r");
    if (!file) {
	(void) sprintf(parse_error, "error opening %s: %m",
		       name);
	return TRUE;
    }

    /* Update line number of current file and make sure we have correct file pointer */
    fip = &parse_fi[fi_file++];
    fip->fi_lineno = yylineno;
    fip->fi_FILE = yyin;

    fip++;
    fip->fi_name = name;
    fip->fi_FILE = file;
    yylineno = 1;
    yyin = fip->fi_FILE;
    parse_newname(fip);
    TRACE_PROTO(TR_PARSE) {
	trace(TR_PARSE, 0, "parse_include: %s now reading %s (%d)",
	      parse_where(),
	      fip->fi_name,
	      fileno(fip->fi_FILE));
    }

    return FALSE;
}


/* parse_eof - process end of file on current input file */
static int
parse_eof()
{
    fi_info *fip;

    if (fi_file < 0) {
	return TRUE;
    }
    
    fip = &parse_fi[fi_file];
    TRACE_PROTO(TR_PARSE) {
	trace(TR_PARSE, 0, "parse_eof: %s EOF on %s (%d)",
	      parse_where(),
	      fip->fi_name,
	      fileno(fip->fi_FILE));
    }
    if (fclose(fip->fi_FILE)) {
	trace(TR_ALL, LOG_ERR, "parse_eof: error closing %s: %m",
	      fip->fi_name);
    }
    fip->fi_FILE = NULL;
    task_mem_free((task *) 0, fip->fi_name);
    fip->fi_name = NULL;

    if (fi_file-- > 0) {
	fip = &parse_fi[fi_file];
	parse_newname(fip);
	yylineno = fip->fi_lineno;
	yyin = fip->fi_FILE;
	TRACE_PROTO(TR_PARSE) {
	    trace(TR_PARSE, 0, "parse_eof: %s resuming %s",
		  parse_where(),
		  fip->fi_name);
	}
	return FALSE;
    }
    yyin = (FILE *) 0;
    TRACE_PROTO(TR_PARSE) {
	trace(TR_PARSE, 0, "parse_eof: %s EOF",
	      parse_where());
    }
    return TRUE;
}


/*
 * ------------------------------------------------------------------------
 * 
 * 	GateD, Release 3
 * 
 * 	Copyright (c) 1990,1991,1992,1993 by Cornell University
 * 	    All rights reserved.
 * 
 * 	THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY
 * 	EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT
 * 	LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * 	AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * 	Royalty-free licenses to redistribute GateD Release
 * 	3 in whole or in part may be obtained by writing to:
 * 
 * 	    GateDaemon Project
 * 	    Information Technologies/Network Resources
 * 	    200 CCC
 * 	    Cornell University
 * 	    Ithaca, NY  14853-2601  USA
 * 
 * 	GateD is based on Kirton's EGP, UC Berkeley's routing
 * 	daemon	 (routed), and DCN's HELLO routing Protocol.
 * 	Development of GateD has been supported in part by the
 * 	National Science Foundation.
 * 
 * 	Please forward bug fixes, enhancements and questions to the
 * 	gated mailing list: gated-people@gated.cornell.edu.
 * 
 * 	Authors:
 * 
 * 		Jeffrey C Honig <jch@gated.cornell.edu>
 * 		Scott W Brim <swb@gated.cornell.edu>
 * 
 * ------------------------------------------------------------------------
 * 
 *       Portions of this software may fall under the following
 *       copyrights:
 * 
 * 	Copyright (c) 1988 Regents of the University of California.
 * 	All rights reserved.
 * 
 * 	Redistribution and use in source and binary forms are
 * 	permitted provided that the above copyright notice and
 * 	this paragraph are duplicated in all such forms and that
 * 	any documentation, advertising materials, and other
 * 	materials related to such distribution and use
 * 	acknowledge that the software was developed by the
 * 	University of California, Berkeley.  The name of the
 * 	University may not be used to endorse or promote
 * 	products derived from this software without specific
 * 	prior written permission.  THIS SOFTWARE IS PROVIDED
 * 	``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
 * 	INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * 	MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */
int yyvstop[] = {
0,

20,
0,

3,
20,
0,

20,
0,

1,
20,
0,

20,
0,

20,
0,

6,
20,
0,

8,
0,

14,
20,
0,

15,
20,
0,

15,
20,
0,

15,
20,
0,

15,
20,
0,

9,
20,
0,

6,
13,
20,
0,

6,
13,
20,
0,

12,
20,
0,

7,
0,

3,
0,

5,
0,

1,
0,

2,
0,

4,
0,

6,
0,

15,
0,

15,
0,

15,
0,

15,
0,

13,
0,

6,
13,
0,

6,
13,
0,

17,
0,

17,
0,

17,
0,

15,
0,

15,
0,

13,
0,

13,
0,

6,
13,
0,

17,
0,

17,
0,

17,
0,

17,
0,

17,
0,

17,
0,

19,
0,

6,
13,
0,

13,
0,

18,
0,

17,
0,

17,
0,

17,
0,

17,
0,

6,
13,
18,
0,

13,
0,

17,
0,

13,
0,

13,
0,

17,
0,

17,
0,

17,
0,

13,
0,

17,
0,

17,
0,

17,
0,

17,
0,

13,
0,

17,
0,

13,
0,

13,
0,

10,
0,

17,
0,

17,
0,

17,
0,

13,
0,

17,
0,

17,
0,

17,
0,

17,
0,

13,
0,

11,
0,

17,
0,

13,
0,

13,
0,

16,
17,
0,

16,
17,
0,

16,
17,
0,

16,
0,

13,
16,
0,

13,
0,

16,
17,
0,

16,
17,
0,

16,
17,
0,

16,
0,

13,
16,
0,

16,
17,
0,

16,
17,
0,

16,
17,
0,
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,7,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,8,	1,0,	
0,0,	28,0,	8,25,	2,0,	
117,117,	117,122,	0,0,	0,0,	
104,104,	5,24,	0,0,	0,0,	
128,128,	128,135,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	23,45,	0,0,	1,9,	
1,10,	8,25,	0,0,	117,117,	
2,10,	1,7,	0,0,	104,104,	
11,29,	104,112,	5,10,	128,128,	
1,11,	1,7,	44,42,	1,7,	
2,11,	66,34,	1,7,	1,7,	
23,45,	6,24,	5,11,	78,51,	
83,34,	1,12,	88,93,	1,7,	
89,94,	2,12,	1,13,	3,7,	
1,13,	1,13,	1,13,	5,12,	
1,13,	109,34,	1,13,	3,8,	
3,14,	1,13,	46,62,	1,13,	
1,13,	113,118,	6,10,	1,13,	
114,119,	1,13,	1,13,	133,34,	
136,139,	1,13,	1,13,	47,63,	
23,46,	137,140,	6,11,	62,76,	
143,147,	23,47,	63,77,	145,148,	
3,9,	3,10,	39,57,	39,57,	
39,57,	39,57,	3,15,	6,12,	
76,86,	77,87,	46,62,	86,91,	
0,0,	3,11,	3,16,	3,17,	
3,18,	3,19,	3,19,	3,19,	
3,19,	87,92,	0,0,	47,63,	
23,46,	3,20,	3,12,	62,76,	
3,7,	23,47,	63,77,	3,21,	
0,0,	3,21,	3,21,	3,21,	
91,96,	3,22,	92,97,	3,22,	
76,86,	77,87,	3,22,	86,91,	
3,22,	3,22,	0,0,	4,10,	
3,22,	4,23,	3,22,	3,22,	
96,103,	87,92,	3,22,	3,22,	
97,104,	9,26,	0,0,	4,11,	
103,111,	4,17,	111,116,	4,19,	
4,19,	9,26,	9,26,	0,0,	
91,96,	0,0,	92,97,	4,20,	
4,12,	18,38,	18,38,	18,38,	
18,38,	18,38,	18,39,	18,40,	
18,40,	18,40,	18,40,	48,34,	
96,103,	48,50,	48,50,	48,50,	
97,104,	0,0,	9,27,	116,116,	
103,111,	0,0,	111,116,	0,0,	
9,26,	50,66,	50,66,	50,66,	
50,66,	50,66,	50,66,	10,28,	
9,26,	0,0,	9,26,	0,0,	
0,0,	9,26,	9,26,	10,28,	
10,0,	0,0,	116,116,	0,0,	
116,121,	0,0,	9,26,	0,0,	
0,0,	9,26,	0,0,	9,26,	
9,26,	9,26,	0,0,	9,26,	
0,0,	9,26,	0,0,	0,0,	
9,26,	0,0,	9,26,	9,26,	
10,28,	0,0,	9,26,	0,0,	
9,26,	9,26,	10,28,	0,0,	
9,26,	9,26,	0,0,	0,0,	
0,0,	12,30,	10,28,	0,0,	
10,28,	0,0,	0,0,	10,28,	
10,28,	12,30,	12,30,	142,147,	
0,0,	142,50,	142,50,	142,50,	
10,28,	0,0,	0,0,	10,28,	
0,0,	10,28,	10,28,	10,28,	
0,0,	10,28,	0,0,	10,28,	
0,0,	0,0,	10,28,	0,0,	
10,28,	10,28,	12,30,	0,0,	
10,28,	0,0,	10,28,	10,28,	
12,30,	0,0,	10,28,	10,28,	
0,0,	0,0,	0,0,	0,0,	
12,30,	0,0,	12,30,	0,0,	
0,0,	12,30,	12,30,	64,66,	
64,66,	64,66,	64,66,	64,66,	
64,66,	0,0,	12,31,	0,0,	
0,0,	12,30,	0,0,	12,30,	
12,30,	12,30,	0,0,	12,30,	
0,0,	12,30,	0,0,	0,0,	
12,30,	0,0,	12,30,	12,30,	
0,0,	0,0,	12,30,	0,0,	
12,30,	12,30,	0,0,	13,32,	
12,30,	12,30,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
150,147,	0,0,	150,152,	150,152,	
150,152,	0,0,	0,0,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	13,33,	13,33,	13,33,	
13,33,	16,34,	0,0,	16,35,	
16,35,	16,35,	16,35,	16,35,	
16,35,	16,35,	16,35,	16,35,	
16,35,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
16,36,	16,36,	16,36,	16,36,	
16,36,	16,36,	17,34,	0,0,	
17,35,	17,35,	17,35,	17,35,	
17,35,	17,35,	17,35,	17,35,	
17,35,	17,35,	0,0,	0,0,	
0,0,	0,0,	0,0,	16,37,	
0,0,	17,36,	17,36,	17,36,	
17,36,	17,36,	17,36,	0,0,	
16,36,	16,36,	16,36,	16,36,	
16,36,	16,36,	19,40,	19,40,	
19,40,	19,40,	19,40,	19,40,	
19,40,	19,40,	19,40,	19,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	16,37,	
0,0,	17,36,	17,36,	17,36,	
17,36,	17,36,	17,36,	21,41,	
21,42,	0,0,	21,43,	21,43,	
21,43,	21,43,	21,43,	21,43,	
21,43,	21,43,	21,43,	21,43,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	21,43,	
21,43,	21,43,	21,43,	21,43,	
21,43,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	21,43,	
21,43,	21,43,	21,43,	21,43,	
21,43,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	21,44,	21,44,	21,44,	
21,44,	22,44,	22,44,	22,44,	
22,44,	22,44,	22,44,	22,44,	
22,44,	22,44,	22,44,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	22,44,	22,44,	
22,44,	22,44,	22,44,	22,44,	
34,48,	34,48,	34,49,	34,50,	
34,50,	34,50,	34,50,	34,50,	
34,50,	34,50,	0,0,	0,0,	
35,51,	35,52,	0,0,	35,53,	
35,53,	35,53,	35,53,	35,53,	
35,53,	35,53,	35,53,	35,53,	
35,53,	0,0,	22,44,	22,44,	
22,44,	22,44,	22,44,	22,44,	
35,54,	35,54,	35,54,	35,54,	
35,54,	35,54,	36,55,	0,0,	
36,54,	36,54,	36,54,	36,54,	
36,54,	36,54,	36,54,	36,54,	
36,54,	36,54,	0,0,	0,0,	
0,0,	37,56,	37,56,	37,56,	
37,56,	37,56,	37,56,	37,56,	
37,56,	37,56,	37,56,	0,0,	
35,54,	35,54,	35,54,	35,54,	
35,54,	35,54,	37,56,	37,56,	
37,56,	37,56,	37,56,	37,56,	
40,57,	40,57,	40,57,	40,57,	
40,57,	40,57,	40,57,	40,57,	
40,57,	40,57,	0,0,	0,0,	
41,41,	0,0,	0,0,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	0,0,	37,56,	37,56,	
37,56,	37,56,	37,56,	37,56,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	41,44,	41,44,	
41,44,	41,44,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
42,58,	42,58,	42,58,	42,58,	
43,59,	43,60,	0,0,	43,61,	
43,61,	43,61,	43,61,	43,61,	
43,61,	43,61,	43,61,	43,61,	
43,61,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
43,61,	43,61,	43,61,	43,61,	
43,61,	43,61,	49,34,	0,0,	
49,64,	49,64,	49,64,	49,64,	
49,64,	49,65,	49,66,	49,66,	
49,66,	49,66,	0,0,	0,0,	
0,0,	51,67,	51,67,	51,67,	
51,67,	51,67,	51,67,	51,67,	
51,67,	51,67,	51,67,	0,0,	
43,61,	43,61,	43,61,	43,61,	
43,61,	43,61,	51,67,	51,67,	
51,67,	51,67,	51,67,	51,67,	
52,68,	52,68,	52,69,	52,70,	
52,70,	52,70,	52,70,	52,70,	
52,70,	52,70,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	52,71,	52,71,	52,71,	
52,71,	52,71,	52,71,	0,0,	
0,0,	0,0,	51,67,	51,67,	
51,67,	51,67,	51,67,	51,67,	
53,34,	0,0,	53,57,	53,57,	
53,57,	53,57,	53,57,	53,57,	
53,57,	53,57,	53,57,	53,57,	
0,0,	0,0,	0,0,	0,0,	
0,0,	52,71,	52,71,	52,71,	
52,71,	52,71,	52,71,	54,51,	
0,0,	0,0,	54,54,	54,54,	
54,54,	54,54,	54,54,	54,54,	
54,54,	54,54,	54,54,	54,54,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	54,54,	
54,54,	54,54,	54,54,	54,54,	
54,54,	55,71,	55,71,	55,71,	
55,71,	55,71,	55,71,	55,71,	
55,71,	55,71,	55,71,	0,0,	
0,0,	0,0,	0,0,	0,0,	
56,72,	56,72,	56,72,	56,72,	
56,72,	56,72,	56,72,	56,72,	
56,72,	56,72,	0,0,	54,54,	
54,54,	54,54,	54,54,	54,54,	
54,54,	56,72,	56,72,	56,72,	
56,72,	56,72,	56,72,	57,57,	
57,57,	57,57,	57,57,	57,57,	
57,57,	57,57,	57,57,	57,57,	
57,57,	58,73,	58,42,	0,0,	
58,58,	58,58,	58,58,	58,58,	
58,58,	58,58,	58,58,	58,58,	
58,58,	58,58,	0,0,	0,0,	
0,0,	56,72,	56,72,	56,72,	
56,72,	56,72,	56,72,	59,74,	
59,74,	59,74,	59,74,	59,74,	
59,74,	59,74,	59,74,	59,74,	
59,74,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
59,74,	59,74,	59,74,	59,74,	
59,74,	59,74,	60,71,	60,71,	
60,71,	60,71,	60,71,	60,71,	
60,71,	60,71,	60,71,	60,71,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	60,75,	
60,75,	60,75,	60,75,	60,75,	
60,75,	0,0,	0,0,	0,0,	
59,74,	59,74,	59,74,	59,74,	
59,74,	59,74,	0,0,	0,0,	
0,0,	61,59,	0,0,	0,0,	
61,61,	61,61,	61,61,	61,61,	
61,61,	61,61,	61,61,	61,61,	
61,61,	61,61,	0,0,	60,75,	
60,75,	60,75,	60,75,	60,75,	
60,75,	61,61,	61,61,	61,61,	
61,61,	61,61,	61,61,	65,34,	
144,147,	65,66,	65,66,	65,66,	
65,66,	65,66,	65,66,	0,0,	
144,66,	144,66,	144,66,	144,66,	
0,0,	0,0,	67,78,	67,78,	
67,78,	67,78,	67,78,	67,78,	
67,78,	67,78,	67,78,	67,78,	
0,0,	61,61,	61,61,	61,61,	
61,61,	61,61,	61,61,	67,78,	
67,78,	67,78,	67,78,	67,78,	
67,78,	68,79,	68,79,	68,79,	
68,79,	68,79,	68,79,	68,79,	
68,79,	68,79,	68,79,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	68,80,	68,80,	
68,80,	68,80,	68,80,	68,80,	
0,0,	0,0,	0,0,	67,78,	
67,78,	67,78,	67,78,	67,78,	
67,78,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	69,81,	
69,81,	69,81,	69,81,	69,81,	
69,82,	69,83,	69,83,	69,83,	
69,83,	0,0,	68,80,	68,80,	
68,80,	68,80,	68,80,	68,80,	
69,80,	69,80,	69,80,	69,80,	
69,80,	69,80,	70,83,	70,83,	
70,83,	70,83,	70,83,	70,83,	
70,83,	70,83,	70,83,	70,83,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	70,80,	
70,80,	70,80,	70,80,	70,80,	
70,80,	0,0,	0,0,	0,0,	
69,80,	69,80,	69,80,	69,80,	
69,80,	69,80,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
71,80,	71,80,	71,80,	71,80,	
71,80,	71,80,	71,80,	71,80,	
71,80,	71,80,	0,0,	70,80,	
70,80,	70,80,	70,80,	70,80,	
70,80,	71,80,	71,80,	71,80,	
71,80,	71,80,	71,80,	73,73,	
0,0,	0,0,	73,58,	73,58,	
73,58,	73,58,	73,58,	73,58,	
73,58,	73,58,	73,58,	73,58,	
0,0,	0,0,	74,84,	74,84,	
74,84,	74,84,	74,84,	74,84,	
74,84,	74,84,	74,84,	74,84,	
0,0,	71,80,	71,80,	71,80,	
71,80,	71,80,	71,80,	74,84,	
74,84,	74,84,	74,84,	74,84,	
74,84,	75,73,	75,42,	0,0,	
75,85,	75,85,	75,85,	75,85,	
75,85,	75,85,	75,85,	75,85,	
75,85,	75,85,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	75,85,	75,85,	75,85,	
75,85,	75,85,	75,85,	74,84,	
74,84,	74,84,	74,84,	74,84,	
74,84,	82,34,	0,0,	82,88,	
82,88,	82,88,	82,88,	82,88,	
82,88,	0,0,	79,88,	79,88,	
79,88,	79,88,	79,88,	79,88,	
79,88,	79,88,	79,88,	79,88,	
0,0,	75,85,	75,85,	75,85,	
75,85,	75,85,	75,85,	79,89,	
79,89,	79,89,	79,89,	79,89,	
79,89,	80,89,	80,89,	80,89,	
80,89,	80,89,	80,89,	80,89,	
80,89,	80,89,	80,89,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	80,89,	80,89,	
80,89,	80,89,	80,89,	80,89,	
0,0,	0,0,	0,0,	79,89,	
79,89,	79,89,	79,89,	79,89,	
79,89,	81,34,	0,0,	81,88,	
81,88,	81,88,	81,88,	81,88,	
81,88,	81,88,	81,88,	81,88,	
81,88,	0,0,	0,0,	0,0,	
0,0,	0,0,	80,89,	80,89,	
80,89,	80,89,	80,89,	80,89,	
84,59,	0,0,	0,0,	84,84,	
84,84,	84,84,	84,84,	84,84,	
84,84,	84,84,	84,84,	84,84,	
84,84,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
84,84,	84,84,	84,84,	84,84,	
84,84,	84,84,	85,73,	85,42,	
0,0,	85,90,	85,90,	85,90,	
85,90,	85,90,	85,90,	85,90,	
85,90,	85,90,	85,90,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	85,90,	85,90,	
85,90,	85,90,	85,90,	85,90,	
84,84,	84,84,	84,84,	84,84,	
84,84,	84,84,	90,73,	90,95,	
0,0,	90,58,	90,58,	90,58,	
90,58,	90,58,	90,58,	90,58,	
90,58,	90,58,	90,58,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	85,90,	85,90,	
85,90,	85,90,	85,90,	85,90,	
93,98,	93,98,	93,99,	93,100,	
93,100,	93,100,	93,100,	93,100,	
93,100,	93,100,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	93,101,	93,101,	93,101,	
93,101,	93,101,	93,101,	94,101,	
94,101,	94,101,	94,101,	94,101,	
94,101,	94,101,	94,101,	94,101,	
94,101,	0,0,	0,0,	0,0,	
0,0,	0,0,	95,101,	95,101,	
95,101,	95,101,	95,101,	95,101,	
95,101,	95,101,	95,101,	95,101,	
0,0,	93,101,	93,101,	93,101,	
93,101,	93,101,	93,101,	95,102,	
95,102,	95,102,	95,102,	95,102,	
95,102,	98,105,	98,105,	98,105,	
98,105,	98,105,	98,105,	98,105,	
98,105,	98,105,	98,105,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	98,106,	98,106,	
98,106,	98,106,	98,106,	98,106,	
0,0,	0,0,	0,0,	95,102,	
95,102,	95,102,	95,102,	95,102,	
95,102,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	99,107,	
99,107,	99,107,	99,107,	99,107,	
99,108,	99,109,	99,109,	99,109,	
99,109,	0,0,	98,106,	98,106,	
98,106,	98,106,	98,106,	98,106,	
99,106,	99,106,	99,106,	99,106,	
99,106,	99,106,	100,109,	100,109,	
100,109,	100,109,	100,109,	100,109,	
100,109,	100,109,	100,109,	100,109,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	100,106,	
100,106,	100,106,	100,106,	100,106,	
100,106,	0,0,	0,0,	0,0,	
99,106,	99,106,	99,106,	99,106,	
99,106,	99,106,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
101,106,	101,106,	101,106,	101,106,	
101,106,	101,106,	101,106,	101,106,	
101,106,	101,106,	0,0,	100,106,	
100,106,	100,106,	100,106,	100,106,	
100,106,	101,106,	101,106,	101,106,	
101,106,	101,106,	101,106,	102,73,	
102,42,	0,0,	102,110,	102,110,	
102,110,	102,110,	102,110,	102,110,	
102,110,	102,110,	102,110,	102,110,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	102,110,	
102,110,	102,110,	102,110,	102,110,	
102,110,	101,106,	101,106,	101,106,	
101,106,	101,106,	101,106,	108,34,	
0,0,	108,113,	108,113,	108,113,	
108,113,	108,113,	108,113,	0,0,	
105,113,	105,113,	105,113,	105,113,	
105,113,	105,113,	105,113,	105,113,	
105,113,	105,113,	0,0,	102,110,	
102,110,	102,110,	102,110,	102,110,	
102,110,	105,114,	105,114,	105,114,	
105,114,	105,114,	105,114,	106,114,	
106,114,	106,114,	106,114,	106,114,	
106,114,	106,114,	106,114,	106,114,	
106,114,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
106,114,	106,114,	106,114,	106,114,	
106,114,	106,114,	0,0,	0,0,	
0,0,	105,114,	105,114,	105,114,	
105,114,	105,114,	105,114,	107,34,	
0,0,	107,113,	107,113,	107,113,	
107,113,	107,113,	107,113,	107,113,	
107,113,	107,113,	107,113,	0,0,	
0,0,	0,0,	0,0,	0,0,	
106,114,	106,114,	106,114,	106,114,	
106,114,	106,114,	110,73,	110,42,	
0,0,	110,115,	110,115,	110,115,	
110,115,	110,115,	110,115,	110,115,	
110,115,	110,115,	110,115,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	110,115,	110,115,	
110,115,	110,115,	110,115,	110,115,	
112,112,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
112,112,	112,112,	115,73,	115,120,	
0,0,	115,58,	115,58,	115,58,	
115,58,	115,58,	115,58,	115,58,	
115,58,	115,58,	115,58,	0,0,	
0,0,	0,0,	110,115,	110,115,	
110,115,	110,115,	110,115,	110,115,	
0,0,	112,117,	0,0,	0,0,	
0,0,	0,0,	132,34,	112,112,	
132,136,	132,136,	132,136,	132,136,	
132,136,	132,136,	0,0,	112,112,	
0,0,	112,112,	0,0,	0,0,	
112,112,	112,112,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	112,112,	0,0,	0,0,	
112,112,	0,0,	112,112,	112,112,	
112,112,	0,0,	112,112,	0,0,	
112,112,	0,0,	0,0,	112,112,	
0,0,	112,112,	112,112,	0,0,	
0,0,	112,112,	0,0,	112,112,	
112,112,	0,0,	0,0,	112,112,	
112,112,	118,123,	118,123,	118,124,	
118,125,	118,125,	118,125,	118,125,	
118,125,	118,125,	118,125,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	118,126,	118,126,	
118,126,	118,126,	118,126,	118,126,	
119,126,	119,126,	119,126,	119,126,	
119,126,	119,126,	119,126,	119,126,	
119,126,	119,126,	0,0,	0,0,	
0,0,	0,0,	0,0,	120,126,	
120,126,	120,126,	120,126,	120,126,	
120,126,	120,126,	120,126,	120,126,	
120,126,	0,0,	118,126,	118,126,	
118,126,	118,126,	118,126,	118,126,	
120,127,	120,127,	120,127,	120,127,	
120,127,	120,127,	121,121,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	121,121,	121,121,	
131,34,	0,0,	131,136,	131,136,	
131,136,	131,136,	131,136,	131,136,	
131,136,	131,136,	131,136,	131,136,	
0,0,	0,0,	0,0,	0,0,	
120,127,	120,127,	120,127,	120,127,	
120,127,	120,127,	0,0,	121,128,	
0,0,	0,0,	0,0,	0,0,	
0,0,	121,121,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	121,121,	0,0,	121,121,	
0,0,	0,0,	121,121,	121,121,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	121,121,	
0,0,	0,0,	121,121,	0,0,	
121,121,	121,121,	121,121,	0,0,	
121,121,	0,0,	121,121,	0,0,	
0,0,	121,121,	0,0,	121,121,	
121,121,	0,0,	0,0,	121,121,	
0,0,	121,121,	121,121,	0,0,	
0,0,	121,121,	121,121,	123,129,	
123,129,	123,129,	123,129,	123,129,	
123,129,	123,129,	123,129,	123,129,	
123,129,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
123,130,	123,130,	123,130,	123,130,	
123,130,	123,130,	124,131,	124,131,	
124,131,	124,131,	124,131,	124,132,	
124,133,	124,133,	124,133,	124,133,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	124,130,	
124,130,	124,130,	124,130,	124,130,	
124,130,	0,0,	0,0,	0,0,	
123,130,	123,130,	123,130,	123,130,	
123,130,	123,130,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
125,133,	125,133,	125,133,	125,133,	
125,133,	125,133,	125,133,	125,133,	
125,133,	125,133,	0,0,	124,130,	
124,130,	124,130,	124,130,	124,130,	
124,130,	125,130,	125,130,	125,130,	
125,130,	125,130,	125,130,	126,130,	
126,130,	126,130,	126,130,	126,130,	
126,130,	126,130,	126,130,	126,130,	
126,130,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
126,130,	126,130,	126,130,	126,130,	
126,130,	126,130,	0,0,	0,0,	
0,0,	125,130,	125,130,	125,130,	
125,130,	125,130,	125,130,	0,0,	
0,0,	0,0,	127,73,	127,42,	
0,0,	127,134,	127,134,	127,134,	
127,134,	127,134,	127,134,	127,134,	
127,134,	127,134,	127,134,	0,0,	
126,130,	126,130,	126,130,	126,130,	
126,130,	126,130,	127,134,	127,134,	
127,134,	127,134,	127,134,	127,134,	
129,136,	129,136,	129,136,	129,136,	
129,136,	129,136,	129,136,	129,136,	
129,136,	129,136,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	129,137,	129,137,	129,137,	
129,137,	129,137,	129,137,	0,0,	
0,0,	0,0,	127,134,	127,134,	
127,134,	127,134,	127,134,	127,134,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	130,137,	130,137,	
130,137,	130,137,	130,137,	130,137,	
130,137,	130,137,	130,137,	130,137,	
0,0,	129,137,	129,137,	129,137,	
129,137,	129,137,	129,137,	130,137,	
130,137,	130,137,	130,137,	130,137,	
130,137,	134,73,	134,42,	0,0,	
134,138,	134,138,	134,138,	134,138,	
134,138,	134,138,	134,138,	134,138,	
134,138,	134,138,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	134,138,	134,138,	134,138,	
134,138,	134,138,	134,138,	130,137,	
130,137,	130,137,	130,137,	130,137,	
130,137,	138,73,	138,141,	0,0,	
138,58,	138,58,	138,58,	138,58,	
138,58,	138,58,	138,58,	138,58,	
138,58,	138,58,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	134,138,	134,138,	134,138,	
134,138,	134,138,	134,138,	139,142,	
139,142,	139,143,	139,144,	139,144,	
139,144,	139,144,	139,144,	139,144,	
139,144,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
139,145,	139,145,	139,145,	139,145,	
139,145,	139,145,	140,145,	140,145,	
140,145,	140,145,	140,145,	140,145,	
140,145,	140,145,	140,145,	140,145,	
0,0,	0,0,	0,0,	0,0,	
0,0,	141,145,	141,145,	141,145,	
141,145,	141,145,	141,145,	141,145,	
141,145,	141,145,	141,145,	0,0,	
139,145,	139,145,	139,145,	139,145,	
139,145,	139,145,	141,146,	141,146,	
141,146,	141,146,	141,146,	141,146,	
146,73,	146,149,	0,0,	146,58,	
146,58,	146,58,	146,58,	146,58,	
146,58,	146,58,	146,58,	146,58,	
146,58,	0,0,	0,0,	147,150,	
147,150,	147,151,	147,152,	147,152,	
147,152,	147,152,	147,152,	147,152,	
147,152,	0,0,	141,146,	141,146,	
141,146,	141,146,	141,146,	141,146,	
147,153,	147,153,	147,153,	147,153,	
147,153,	147,153,	148,153,	148,153,	
148,153,	148,153,	148,153,	148,153,	
148,153,	148,153,	148,153,	148,153,	
0,0,	0,0,	0,0,	0,0,	
0,0,	149,153,	149,153,	149,153,	
149,153,	149,153,	149,153,	149,153,	
149,153,	149,153,	149,153,	0,0,	
147,153,	147,153,	147,153,	147,153,	
147,153,	147,153,	149,154,	149,154,	
149,154,	149,154,	149,154,	149,154,	
151,147,	0,0,	151,155,	151,155,	
151,155,	151,155,	151,155,	151,156,	
151,157,	151,157,	151,157,	151,157,	
152,147,	0,0,	152,157,	152,157,	
152,157,	152,157,	152,157,	152,157,	
152,157,	152,157,	152,157,	152,157,	
0,0,	0,0,	149,154,	149,154,	
149,154,	149,154,	149,154,	149,154,	
153,148,	0,0,	153,153,	153,153,	
153,153,	153,153,	153,153,	153,153,	
153,153,	153,153,	153,153,	153,153,	
154,73,	154,149,	0,0,	154,154,	
154,154,	154,154,	154,154,	154,154,	
154,154,	154,154,	154,154,	154,154,	
154,154,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
154,154,	154,154,	154,154,	154,154,	
154,154,	154,154,	155,147,	0,0,	
155,157,	155,157,	155,157,	155,157,	
155,157,	155,157,	155,157,	155,157,	
155,157,	155,157,	156,147,	0,0,	
156,157,	156,157,	156,157,	156,157,	
156,157,	156,157,	156,153,	156,153,	
156,153,	156,153,	0,0,	0,0,	
154,154,	154,154,	154,154,	154,154,	
154,154,	154,154,	157,147,	0,0,	
157,153,	157,153,	157,153,	157,153,	
157,153,	157,153,	157,153,	157,153,	
157,153,	157,153,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-5,	yysvec+1,	0,	
yycrank+-66,	0,		0,	
yycrank+-112,	yysvec+3,	0,	
yycrank+-11,	yysvec+1,	0,	
yycrank+-47,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+5,	0,		yyvstop+3,
yycrank+-156,	0,		yyvstop+6,
yycrank+-202,	0,		yyvstop+8,
yycrank+2,	0,		yyvstop+11,
yycrank+-248,	0,		yyvstop+13,
yycrank+290,	0,		yyvstop+15,
yycrank+0,	0,		yyvstop+18,
yycrank+0,	0,		yyvstop+20,
yycrank+367,	0,		yyvstop+23,
yycrank+392,	0,		yyvstop+26,
yycrank+125,	yysvec+17,	yyvstop+29,
yycrank+422,	yysvec+17,	yyvstop+32,
yycrank+0,	0,		yyvstop+35,
yycrank+450,	0,		yyvstop+38,
yycrank+525,	yysvec+21,	yyvstop+42,
yycrank+24,	0,		yyvstop+46,
yycrank+0,	0,		yyvstop+49,
yycrank+0,	yysvec+8,	yyvstop+51,
yycrank+0,	yysvec+9,	0,	
yycrank+0,	0,		yyvstop+53,
yycrank+-3,	yysvec+10,	yyvstop+55,
yycrank+0,	0,		yyvstop+57,
yycrank+0,	yysvec+12,	0,	
yycrank+0,	0,		yyvstop+59,
yycrank+0,	yysvec+13,	0,	
yycrank+0,	yysvec+13,	yyvstop+61,
yycrank+548,	0,		0,	
yycrank+563,	0,		yyvstop+63,
yycrank+588,	yysvec+35,	0,	
yycrank+601,	0,		0,	
yycrank+0,	yysvec+35,	yyvstop+65,
yycrank+48,	yysvec+35,	yyvstop+67,
yycrank+624,	yysvec+35,	yyvstop+69,
yycrank+639,	0,		0,	
yycrank+697,	0,		yyvstop+71,
yycrank+775,	yysvec+21,	yyvstop+73,
yycrank+4,	yysvec+41,	yyvstop+76,
yycrank+0,	yysvec+23,	0,	
yycrank+5,	0,		0,	
yycrank+13,	0,		0,	
yycrank+137,	yysvec+34,	yyvstop+79,
yycrank+800,	0,		yyvstop+81,
yycrank+149,	yysvec+49,	yyvstop+83,
yycrank+813,	0,		0,	
yycrank+836,	0,		0,	
yycrank+870,	yysvec+35,	yyvstop+85,
yycrank+894,	0,		0,	
yycrank+917,	yysvec+52,	0,	
yycrank+932,	0,		0,	
yycrank+955,	yysvec+54,	yyvstop+87,
yycrank+968,	yysvec+42,	yyvstop+89,
yycrank+987,	yysvec+41,	0,	
yycrank+1010,	yysvec+42,	yyvstop+91,
yycrank+1048,	yysvec+21,	yyvstop+93,
yycrank+13,	0,		0,	
yycrank+31,	0,		0,	
yycrank+255,	yysvec+49,	yyvstop+96,
yycrank+1073,	0,		yyvstop+98,
yycrank+7,	0,		yyvstop+100,
yycrank+1086,	0,		0,	
yycrank+1109,	yysvec+17,	yyvstop+102,
yycrank+1147,	yysvec+17,	yyvstop+104,
yycrank+1170,	yysvec+17,	yyvstop+106,
yycrank+1208,	0,		0,	
yycrank+0,	yysvec+56,	yyvstop+108,
yycrank+1234,	yysvec+42,	0,	
yycrank+1246,	yysvec+21,	yyvstop+110,
yycrank+1272,	yysvec+42,	yyvstop+113,
yycrank+39,	0,		0,	
yycrank+33,	0,		0,	
yycrank+14,	yysvec+67,	yyvstop+115,
yycrank+1310,	yysvec+17,	yyvstop+117,
yycrank+1333,	0,		0,	
yycrank+1367,	yysvec+80,	yyvstop+119,
yycrank+1303,	yysvec+80,	yyvstop+121,
yycrank+14,	yysvec+80,	yyvstop+123,
yycrank+1391,	yysvec+21,	yyvstop+125,
yycrank+1417,	yysvec+42,	yyvstop+129,
yycrank+44,	0,		0,	
yycrank+36,	0,		0,	
yycrank+16,	0,		yyvstop+131,
yycrank+18,	0,		0,	
yycrank+1449,	yysvec+42,	yyvstop+133,
yycrank+52,	0,		0,	
yycrank+70,	0,		0,	
yycrank+1472,	0,		0,	
yycrank+1495,	yysvec+93,	0,	
yycrank+1510,	yysvec+42,	yyvstop+135,
yycrank+73,	0,		0,	
yycrank+87,	0,		0,	
yycrank+1533,	yysvec+17,	yyvstop+137,
yycrank+1571,	yysvec+17,	yyvstop+139,
yycrank+1594,	yysvec+17,	yyvstop+141,
yycrank+1632,	0,		0,	
yycrank+1658,	yysvec+42,	yyvstop+143,
yycrank+78,	0,		0,	
yycrank+11,	0,		0,	
yycrank+1696,	yysvec+17,	yyvstop+145,
yycrank+1719,	0,		0,	
yycrank+1753,	yysvec+106,	yyvstop+147,
yycrank+1689,	yysvec+106,	yyvstop+149,
yycrank+27,	yysvec+106,	yyvstop+151,
yycrank+1777,	yysvec+42,	yyvstop+153,
yycrank+73,	0,		0,	
yycrank+-1847,	0,		0,	
yycrank+35,	0,		yyvstop+155,
yycrank+38,	0,		0,	
yycrank+1813,	yysvec+42,	yyvstop+157,
yycrank+182,	0,		0,	
yycrank+7,	0,		0,	
yycrank+1889,	0,		0,	
yycrank+1912,	yysvec+118,	0,	
yycrank+1927,	yysvec+42,	yyvstop+159,
yycrank+-1997,	0,		0,	
yycrank+0,	0,		yyvstop+161,
yycrank+2039,	yysvec+17,	yyvstop+163,
yycrank+2062,	yysvec+17,	yyvstop+165,
yycrank+2100,	yysvec+17,	yyvstop+167,
yycrank+2123,	0,		0,	
yycrank+2161,	yysvec+42,	yyvstop+169,
yycrank+15,	0,		0,	
yycrank+2184,	yysvec+17,	yyvstop+171,
yycrank+2222,	0,		0,	
yycrank+1962,	yysvec+130,	yyvstop+173,
yycrank+1840,	yysvec+130,	yyvstop+175,
yycrank+41,	yysvec+130,	yyvstop+177,
yycrank+2248,	yysvec+42,	yyvstop+179,
yycrank+0,	0,		yyvstop+181,
yycrank+42,	0,		yyvstop+183,
yycrank+47,	0,		0,	
yycrank+2280,	yysvec+42,	yyvstop+185,
yycrank+2303,	0,		0,	
yycrank+2326,	yysvec+139,	0,	
yycrank+2341,	yysvec+42,	yyvstop+187,
yycrank+213,	yysvec+34,	yyvstop+189,
yycrank+50,	yysvec+49,	yyvstop+192,
yycrank+1074,	yysvec+65,	yyvstop+195,
yycrank+53,	0,		yyvstop+198,
yycrank+2367,	yysvec+42,	yyvstop+200,
yycrank+2379,	0,		0,	
yycrank+2402,	yysvec+147,	0,	
yycrank+2417,	yysvec+42,	yyvstop+203,
yycrank+302,	yysvec+147,	yyvstop+205,
yycrank+2442,	yysvec+147,	yyvstop+208,
yycrank+2454,	yysvec+147,	yyvstop+211,
yycrank+2474,	yysvec+147,	yyvstop+214,
yycrank+2487,	yysvec+42,	yyvstop+216,
yycrank+2512,	yysvec+147,	yyvstop+219,
yycrank+2524,	yysvec+147,	yyvstop+222,
yycrank+2544,	yysvec+147,	yyvstop+225,
0,	0,	0};
struct yywork *yytop = yycrank+2601;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,'"' ,01  ,01  ,01  ,01  ,01  ,
'(' ,'(' ,'(' ,'(' ,01  ,'(' ,'(' ,01  ,
'0' ,'0' ,'2' ,'2' ,'2' ,'5' ,'6' ,'6' ,
'6' ,'6' ,'(' ,01  ,01  ,01  ,'>' ,'(' ,
01  ,'A' ,'A' ,'C' ,'D' ,'E' ,'A' ,'G' ,
'G' ,'I' ,'G' ,'G' ,'L' ,'G' ,'N' ,'O' ,
'G' ,'G' ,'R' ,'G' ,'T' ,'U' ,'G' ,'G' ,
'X' ,'Y' ,'G' ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'A' ,'C' ,'D' ,'E' ,'A' ,'G' ,
'G' ,'I' ,'G' ,'G' ,'L' ,'G' ,'N' ,'O' ,
'G' ,'G' ,'R' ,'G' ,'T' ,'U' ,'G' ,'G' ,
'X' ,'Y' ,'G' ,'(' ,'(' ,'(' ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
