#define L_EOS 257
#define L_ERROR 258
#define L_NUMBER 259
#define L_STRING 260
#define L_HNAME 261
#define L_KEYWORD 262
#define L_HEXSTRING 263
#define L_OCTETSTRING 264
#define L_HEXSTRING_ODD 265
#define L_ISOADDR 266
#define T_DIRECT 267
#define T_INTERFACE 268
#define T_INTERFACES 269
#define T_LCLADDR 270
#define T_PROTO 271
#define T_METRIC 272
#define T_METRICIN 273
#define T_METRICOUT 274
#define T_INFINITY 275
#define T_DOWN 276
#define T_PARSE 277
#define T_ADV 278
#define T_DEFAULT 279
#define T_DEFAULTS 280
#define T_YYDEBUG 281
#define T_YYSTATE 282
#define T_YYQUIT 283
#define T_DEBUG 284
#define T_SYSLOG 285
#define T_UPTO 286
#define T_EMERG 287
#define T_ALERT 288
#define T_CRIT 289
#define T_ERR 290
#define T_WARNING 291
#define T_NOTICE 292
#define T_INFO 293
#define T_ON 294
#define T_OFF 295
#define T_GATEWAY 296
#define T_PREFERENCE 297
#define T_DEFAULTMETRIC 298
#define T_NONBROADCAST 299
#define T_BROADCAST 300
#define T_TYPE 301
#define T_POINTOPOINT 302
#define T_MULTICAST 303
#define T_NETMASK 304
#define T_DEFINE 305
#define T_NOP 306
#define T_NOP1 307
#define T_PEERAS 308
#define T_LOCALAS 309
#define T_NEIGHBOR 310
#define T_GROUP 311
#define T_GENDEFAULT 312
#define T_NOGENDEFAULT 313
#define T_VERSION 314
#define T_DEFAULTIN 315
#define T_DEFAULTOUT 316
#define T_HOLDTIME 317
#define T_BGP 318
#define T_ALLOW 319
#define T_TEST 320
#define T_KEEPALL 321
#define T_SENDBUF 322
#define T_RECVBUF 323
#define T_SPOOLBUF 324
#define T_EGP 325
#define T_ASPATH 326
#define T_ORIGIN 327
#define T_INCOMPLETE 328
#define T_ANY 329
#define T_TAG 330
#define T_TRUSTEDGATEWAYS 331
#define T_SOURCEGATEWAYS 332
#define T_IP 333
#define T_DUAL 334
#define T_SNPA 335
#define T_ISIS 336
#define T_CIRCUIT 337
#define T_SYSTEMID 338
#define T_LEVEL 339
#define T_IPREACH 340
#define T_TROLL 341
#define T_SET 342
#define T_PREFIX 343
#define T_INTDOMINFO 344
#define T_MODE 345
#define T_AREA 346
#define T_SPF 347
#define T_HELLOINTERVAL 348
#define T_ROUTERDEADINTERVAL 349
#define T_PRIORITY 350
#define T_IDRP 351
#define T_RDI 352
#define T_OSISTATIC 353
#define T_NSAP 354
#define T_NET 355
#define T_NSAPPREFIX 356
#define T_OSILOCAL 357
#define T_MULTIEXIT 358
#define T_PROTOSOCK 359
#define T_SIP 360
#define T_PIP 361
#define T_UDP 362
#define T_LOCALNODE 363
#define T_PROTOSUPPORT 364
#define T_AUTHCODE 365
#define T_INTRAIS 366
#define T_RDC 367
#define T_ASRDI 368
#define T_OUTPDUS 369
#define T_MAXPDUSIZE 370
#define T_REXMIT 371
#define T_CLOSEWAIT 372
#define T_RIBCHECK 373
#define T_MINADV 374
#define T_MINADVRD 375
#define T_PROHIBITDIST 376
#define T_ALLOWDIST 377
#define T_ROUTESERVER 378
#define T_LISTENOPEN 379
#define T_REDIRECT 380
#define T_NOREDIRECTS 381
#define T_ICMP 382
#define T_AUTHTYPE 383
#define T_AUTHKEY 384
#define T_NONE 385
#define T_SIMPLE 386
#define T_PASSIVE 387
#define T_SIMPLEX 388
#define T_STRICTIFS 389
#define T_SCANINTERVAL 390
#define T_STATIC 391
#define T_MARTIANS 392
#define T_RETAIN 393
#define T_EXPORT 394
#define T_IMPORT 395
#define T_HOST 396
#define T_MASK 397
#define T_MASKLEN 398
#define T_REJECT 399
#define T_BLACKHOLE 400
#define T_RESTRICT 401
#define T_AS 402
#define T_ROUTERID 403
#define T_IGP 404
#define T_OPTIONS 405
#define T_NOINSTALL 406
#define T_NOSEND 407
#define T_NORESOLV 408
#define T_TRACEOPTIONS 409
#define T_EXCEPT 410
#define T_TRACEFILE 411
#define T_REPLACE 412
#define T_SIZE 413
#define T_FILES 414
#define T_K 415
#define T_M 416
#define T_ALL 417
#define T_GENERAL 418
#define T_INTERNAL 419
#define T_EXTERNAL 420
#define T_ROUTE 421
#define T_UPDATE 422
#define T_KERNEL 423
#define T_TASK 424
#define T_TIMER 425
#define T_NOSTAMP 426
#define T_MARK 427
#define TISIS_IIH 428
#define TISIS_DUMPLSP 429
#define TISIS_EVENTS 430
#define TISIS_LANADJ 431
#define TISIS_FLOODING 432
#define TISIS_BUILDLSP 433
#define TISIS_CSNP 434
#define TISIS_PSNP 435
#define TISIS_LSPINPUT 436
#define TISIS_P2PADJ 437
#define TISIS_LSPDB 438
#define TISIS_PATHS 439
#define TISIS_LSPCONTENT 440
#define TISIS_SUMMARY 441
#define T_INET 442
#define T_ISO 443
typedef union {
    long	num;
    u_long	u_num;
    bytestr	hex;
    charstr	str;
    flag_t	flag;
    time_t	time;
    as_t	as;
    proto_t	proto;
    pmet_t	metric;
    pref_t	pref;
    if_addr	*ifap;
    if_addr_entry	*ifae;
    adv_entry	*adv;
    gw_entry	*gwp;
    sockaddr_un	*sockaddr;
#ifdef	PROTO_INET
    struct in_addr in_addr;
#endif	/* PROTO_INET */
    dest_mask	dm;
    struct {
	pmet_t metric;
	adv_entry *adv;
    } metric_adv ;
    struct {
	proto_t proto;
	adv_entry **import_list;
	adv_entry **export_list;
	gw_entry **gw_list;
    } proto_lists;
    config_entry *config;
    config_list *conflist;
#ifndef	GATED_LEXER
#ifdef	PROTO_OSPF
    ospf_config_router *ospf_router;
#endif	/* PROTO_OSPF */
#if	defined(PROTO_ASPATHS)
    asmatch_t	*asp_match;
    struct {
	u_short	begin;
	u_short end;
    } asp_range;
    struct {
	flag_t	start[1 + ASP_ACC/ASP_WORD];
	flag_t	state[1 + ASP_ACC/ASP_WORD];
    } asp_stack;
#endif	/* PROTO_ASPATHS */
#endif	/* GATED_LEXER */
} YYSTYPE;
extern YYSTYPE yylval;
