/*
 *  bcopy.c,v 1.8 1992/10/08 19:58:51 jch Exp
 */

/* Gated Release 3.0 */
/* Copyright (c) 1990,1991,1992,1993 by Cornell University. All rights reserved. */
/* Refer to Particulars and other Copyright notices at the end of this file. */


#include "include.h"

#ifdef	NEED_BCOPY

#include <memory.h>

/*
 *	Emulations of bcopy, bcmp and bzero for systems that only have the mem routines.
 */

void
bcopy(src, dst, len)
const u_char *src;
u_char *dst;
size_t len;
{
    memcpy(dst, src, len);
}


void
bzero(s, len)
u_char *s;
size_t len;
{
    memset(s, 0, len);
}

int
bcmp(b1, b2, len)
const u_char *b1, *b2;
size_t len;
{
    return memcmp(b1, b2, len);
}

#endif	/* NEED_BCOPY */


/*
 * %(Copyright%)
 */
 
